KDE 4.3 PyKDE API Reference

- KDE's Python API

# AccessManager Class Reference

`from PyKDE4.kio import *`

Inherits: QNetworkAccessManager → QObject
Namespace: KIO

## Detailed Description

## Methods

| __init__ (self, QObject parent)
QNetworkReply | createRequest (self, QNetworkAccessManager.Operation op, QNetworkRequest req, QIODevice outgoingData=0)
bool | isExternalContentAllowed (self)
| setExternalContentAllowed (self, bool allowed)

## Method Documentation

__init__ | ( | self, |
|  | QObject | parent
| ) |  |  |

QNetworkReply createRequest | ( | self, |
|  | QNetworkAccessManager.Operation | op,
|  | QNetworkRequest | req,
|  | QIODevice | outgoingData=0
| ) |  |  |

bool isExternalContentAllowed | ( |  | self ) |

returns if external content will be fetched, see setExternalContentAllowed().

setExternalContentAllowed | ( | self, |
|  | bool | allowed
| ) |  |  |

Set allowed to false if you don't want any external content to be fetched, by default external content is allowed